CoverageEligibilityResponse $respond

post/CoverageEligibilityResponse/$respond
Page View

This resource contains information about a patient’s benefits and coverage for services, equipment, or prescriptions.

A payer may use this resource to respond to a coverage eligibility request sent by a healthcare organization.

This is different from a claim response. Learn about a claim response.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$respond

Send a response to a coverage eligibility request submitted by a healthcare organization.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/CoverageEligibilityResponse/$respond' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/fhir+json' \
5
--data '{
6
"resourceType": "Bundle",
7
"id": "RedoxCoverageEligibilityResponseBundleExample",
8
"type": "collection",
9
"identifier": {
10
"system": "urn:ietf:rfc:3986",
11
"value": "urn:uuid:d348a18d-3676-426b-8105-e36085a710e3"
12
},
13
"timestamp": "2021-09-02T18:47:15.916Z",
14
"entry": [
15
{
16
"resource": {
17
"resourceType": "CoverageEligibilityResponse",
18
"id": "check-123456789",
19
"status": "active",
20
"patient": {
21
"reference": "Patient/RedoxPABeneficiaryExample"
22
},
23
"created": "2022-01-18T16:27:49.101Z",
24
"servicedPeriod": {
25
"start": "2022-01-18T16:20:00.101Z",
26
"end": "2022-01-18T17:20:00.101Z"
27
},
28
"purpose": [
29
"benefits"
30
],
31
"request": {
32
"reference": "CoverageEligibilityRequest/check-123456789"
33
},
34
"outcome": "complete",
35
"insurer": {
36
"reference": "Organization/RedoxPAInsurerOrganizationExample"
37
},
38
"insurance": [
39
{
40
"coverage": {
41
"reference": "Coverage/RedoxPACoverageExample"
42
},
43
"benefitPeriod": {
44
"start": "2022-01-18T16:20:00.101Z",
45
"end": "2023-01-18T17:20:00.101Z"
46
},
47
"item": [
48
{
49
"category": {
50
"coding": [
51
{
52
"code": "1",
53
"system": "https://x12.org/codes/service-type-codes",
54
"display": "Medical Care"
55
}
56
]
57
},
58
"benefit": [
59
{
60
"type": {
61
"coding": [
62
{
63
"code": "benefit"
64
}
65
]
66
}
67
},
68
{
69
"type": {
70
"coding": [
71
{
72
"code": "copay-maximum"
73
}
74
]
75
},
76
"allowedMoney": {
77
"value": 20,
78
"currency": "USD"
79
}
80
}
81
]
82
},
83
{
84
"category": {
85
"coding": [
86
{
87
"code": "33",
88
"system": "https://x12.org/codes/service-type-codes",
89
"display": "Chiropractic"
90
}
91
]
92
},
93
"benefit": [
94
{
95
"type": {
96
"coding": [
97
{
98
"code": "benefit"
99
}
100
]
101
}
102
},
103
{
104
"type": {
105
"coding": [
106
{
107
"code": "copay-maximum"
108
}
109
]
110
},
111
"allowedMoney": {
112
"value": 20,
113
"currency": "USD"
114
}
115
}
116
]
117
},
118
{
119
"category": {
120
"coding": [
121
{
122
"code": "35",
123
"system": "https://x12.org/codes/service-type-codes",
124
"display": "Dental Care"
125
}
126
]
127
},
128
"benefit": [
129
{
130
"type": {
131
"coding": [
132
{
133
"code": "benefit"
134
}
135
]
136
}
137
},
138
{
139
"type": {
140
"coding": [
141
{
142
"code": "copay-maximum"
143
}
144
]
145
},
146
"allowedMoney": {
147
"value": 20,
148
"currency": "USD"
149
}
150
}
151
]
152
},
153
{
154
"category": {
155
"coding": [
156
{
157
"code": "47",
158
"system": "https://x12.org/codes/service-type-codes",
159
"display": "Hospital"
160
}
161
]
162
},
163
"benefit": [
164
{
165
"type": {
166
"coding": [
167
{
168
"code": "benefit"
169
}
170
]
171
}
172
},
173
{
174
"type": {
175
"coding": [
176
{
177
"code": "copay-maximum"
178
}
179
]
180
},
181
"allowedMoney": {
182
"value": 20,
183
"currency": "USD"
184
}
185
}
186
]
187
},
188
{
189
"category": {
190
"coding": [
191
{
192
"code": "86",
193
"system": "https://x12.org/codes/service-type-codes",
194
"display": "Emergency Services"
195
}
196
]
197
},
198
"benefit": [
199
{
200
"type": {
201
"coding": [
202
{
203
"code": "benefit"
204
}
205
]
206
}
207
},
208
{
209
"type": {
210
"coding": [
211
{
212
"code": "copay-maximum"
213
}
214
]
215
},
216
"allowedMoney": {
217
"value": 20,
218
"currency": "USD"
219
}
220
}
221
]
222
}
223
]
224
}
225
]
226
}
227
},
228
{
229
"resource": {
230
"resourceType": "Patient",
231
"id": "RedoxPABeneficiaryExample",
232
"identifier": [
233
{
234
"system": "urn:redox:MRN",
235
"value": "M23462346"
236
}
237
],
238
"name": [
239
{
240
"given": [
241
"Timothy",
242
"Paul"
243
],
244
"family": "Bixby"
245
}
246
],
247
"gender": "male",
248
"birthDate": "2008-01-06"
249
}
250
},
251
{
252
"resource": {
253
"resourceType": "Coverage",
254
"id": "RedoxPACoverageWithRelatedSubscriberExample",
255
"class": [
256
{
257
"type": {
258
"coding": [
259
{
260
"code": "group",
261
"system": "http://terminology.hl7.org/CodeSystem/coverage-class"
262
}
263
]
264
},
265
"value": "GRP2245"
266
}
267
],
268
"status": "active",
269
"beneficiary": {
270
"reference": "Patient/RedoxPABeneficiaryExample"
271
},
272
"payor": [
273
{
274
"reference": "Organization/RedoxPAInsurerOrganizationExample"
275
}
276
],
277
"subscriber": {
278
"reference": "RelatedPerson/RedoxPASubscriberExample"
279
},
280
"subscriberId": "M2346623"
281
}
282
},
283
{
284
"resource": {
285
"resourceType": "Organization",
286
"id": "RedoxPAInsurerOrganizationExample",
287
"active": true,
288
"name": "Aetna",
289
"address": [
290
{
291
"line": [
292
"PO Box 14080"
293
],
294
"city": "Lexington",
295
"district": "Fayette",
296
"state": "KY",
297
"postalCode": "40512-4079",
298
"country": "USA"
299
}
300
]
301
}
302
},
303
{
304
"resource": {
305
"resourceType": "Practitioner",
306
"id": "RedoxPAPractitionerExamplePat",
307
"identifier": [
308
{
309
"system": "http://hl7.org/fhir/sid/us-npi",
310
"value": "4356789876"
311
}
312
],
313
"name": [
314
{
315
"given": [
316
"Pat"
317
],
318
"family": "Granite"
319
}
320
],
321
"address": [
322
{
323
"line": [
324
"123 Main St."
325
],
326
"city": "Madison",
327
"district": "Dane",
328
"state": "WI",
329
"postalCode": "53703",
330
"country": "USA"
331
}
332
],
333
"telecom": [
334
{
335
"value": "+16085551234"
336
}
337
]
338
}
339
},
340
{
341
"resource": {
342
"resourceType": "RelatedPerson",
343
"id": "RedoxPASubscriberExample",
344
"patient": {
345
"reference": "Patient/RedoxPABeneficiaryExample"
346
},
347
"name": [
348
{
349
"given": [
350
"Barbara"
351
],
352
"family": "Bixby"
353
}
354
],
355
"relationship": [
356
{
357
"text": "Mother"
358
}
359
]
360
}
361
},
362
{
363
"resource": {
364
"resourceType": "Location",
365
"id": "RedoxLocationExample",
366
"name": "RHS Vista Oaks Clinic",
367
"type": [
368
{
369
"coding": [
370
{
371
"code": "OF",
372
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
373
"display": "Outpatient Facility"
374
}
375
]
376
}
377
],
378
"physicalType": {
379
"coding": [
380
{
381
"code": "bu",
382
"system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
383
"display": "Building"
384
}
385
]
386
}
387
}
388
}
389
],
390
"Meta": {
391
"Logs": [
392
{
393
"ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
394
"AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
395
}
396
],
397
"Test": true,
398
"EventDateTime": "2026-05-18T22:30:01.913Z",
399
"Source": {
400
"ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
401
"Name": "Redox Dev Tools"
402
},
403
"Destinations": [
404
{
405
"ID": "af394f14-b34a-464f-8d24-895f370af4c9",
406
"Name": "Redox EMR"
407
}
408
],
409
"DataModel": "FHIR.CoverageEligibilityResponse",
410
"EventType": "$respond"
411
}
412
}'

Request Body Schema

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: collection
  • entry
    required, Array of CoverageEligibilityResponse, Patient, Coverage, Location

    Contains at least one CoverageEligibilityResponse and other resources relevant to the coverage check.

    • resource
      required, object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: CoverageEligibilityResponse
      • id
        required, string

        The internal tracking identifier for this eligibility request. This id will be returned on the CoverageEligibilityResponse.

      • status
        required, string

        The status of the resource instance.

        Possible Values: active, cancelled, draft, entered-in-error
      • purpose
        required, Array of string

        Code to specify whether requesting: prior authorization requirements for some service categories or billing codes; benefits for coverages specified or discovered; discovery and return of coverages for the patient; and/or validation that the specified coverage is in-force at the date/period specified or 'now' if not specified.

        Possible Values: auth-requirements, benefits, discovery, validation
      • patient
        required, object

        The Patient that the elgibility results are being reported for. This may be different than the policy holder

        Must be a resource of type Patient.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • created
        required, string

        The date this resource was created.

      • request
        required, object

        The initial CoverageEligibilityRequest.

        Must be a resource of type CoverageEligibilityRequest.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • outcome
        required, string

        The outcome of the request processing.

        Possible Values: queued, complete, error, partial
      • insurer
        required, object

        The payer that the request should be submitted to.

        Must be a resource of type Organization.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • insurance
        required, Array of object

        Financial instruments for reimbursement for the health care products and services.

        • coverage
          required, object

          The coverage of the patient.

          Must be a resource of type Coverage.

          • reference
            string

            A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

        • item
          Array of object

          Benefits and optionally current balances, and authorization details by category or service.

    Response fields and example

    Example Eligibility Response
    json
    1
    {}
    • resourceType
      required, string

      Identifies the type of the resource

      Value: Bundle
    • type
      required, string

      Indicates the purpose of this bundle - how it is intended to be used.

      Value: collection
    • entry
      required, Array of CoverageEligibilityResponse, Patient, Coverage, Location

      Contains at least one CoverageEligibilityResponse and other resources relevant to the coverage check.

      • resource
        required, object

        The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

        • resourceType
          required, string

          Identifies the type of the resource

          Value: CoverageEligibilityResponse
        • id
          required, string

          The internal tracking identifier for this eligibility request. This id will be returned on the CoverageEligibilityResponse.

        • status
          required, string

          The status of the resource instance.

          Possible Values: active, cancelled, draft, entered-in-error
        • purpose
          required, Array of string

          Code to specify whether requesting: prior authorization requirements for some service categories or billing codes; benefits for coverages specified or discovered; discovery and return of coverages for the patient; and/or validation that the specified coverage is in-force at the date/period specified or 'now' if not specified.

          Possible Values: auth-requirements, benefits, discovery, validation
        • patient
          required, object

          The Patient that the elgibility results are being reported for. This may be different than the policy holder

          Must be a resource of type Patient.

          • reference
            string

            A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

        • created
          required, string

          The date this resource was created.

        • request
          required, object

          The initial CoverageEligibilityRequest.

          Must be a resource of type CoverageEligibilityRequest.

          • reference
            string

            A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

        • outcome
          required, string

          The outcome of the request processing.

          Possible Values: queued, complete, error, partial
        • insurer
          required, object

          The payer that the request should be submitted to.

          Must be a resource of type Organization.

          • reference
            string

            A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

        • insurance
          required, Array of object

          Financial instruments for reimbursement for the health care products and services.

          • coverage
            required, object

            The coverage of the patient.

            Must be a resource of type Coverage.

            • reference
              string

              A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

          • item
            Array of object

            Benefits and optionally current balances, and authorization details by category or service.

      FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.